### Method

# Camel MessageInfo set_uid

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_set_uid (
      CamelMessageInfo* mi,
      const gchar* uid
    )

#### Description [src]

Changes UID of the `mi` to `uid`. If it changes, the ‘dirty’ flag of the `mi` is set too, unless the `mi` is aborting notifications. This change does not influence the ‘folder-flagged’ flag.

Available since: 3.24

Sets property | `Camel.MessageInfo:uid`

#### Parameters

`uid`

  Type: `const gchar*`

  A UID to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the UID changed.